[v5,2/2] squid: Add optional dependency on libkrb5

Message ID 1517593141-26017-2-git-send-email-nerv@dawncrow.de
State Superseded
Headers show
Series
  • Untitled series #26721
Related show

Commit Message

André Hentschel Feb. 2, 2018, 5:39 p.m.
Signed-off-by: André Hentschel <nerv@dawncrow.de>
---
 package/squid/squid.mk | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Patch

diff --git a/package/squid/squid.mk b/package/squid/squid.mk
index 8ade55e..2d21ad8 100644
--- a/package/squid/squid.mk
+++ b/package/squid/squid.mk
@@ -29,7 +29,6 @@  SQUID_CONF_OPTS = \
 	--enable-removal-policies="lru,heap" \
 	--with-filedescriptors=1024 \
 	--disable-ident-lookups \
-	--without-mit-krb5 \
 	--enable-auth-basic="fake getpwnam" \
 	--enable-auth-digest="file" \
 	--enable-auth-negotiate="wrapper" \
@@ -50,6 +49,13 @@  else
 SQUID_CONF_ENV += squid_cv_gnu_atomics=no
 endif
 
+ifeq ($(BR2_PACKAGE_LIBKRB5),y)
+SQUID_CONF_OPTS += --with-mit-krb5
+SQUID_DEPENDENCIES += libkrb5
+else
+SQUID_CONF_OPTS += --without-mit-krb5
+endif
+
 ifeq ($(BR2_PACKAGE_OPENSSL),y)
 SQUID_CONF_OPTS += --with-openssl
 SQUID_DEPENDENCIES += openssl